QMP-SHELL-WRAP(1)

NAME
qmp-shell-wrap - QEMU + qmp-shell launcher utility

SYNOPSIS

qmp-shell-wrap [-h] [-H] [-v] [-p] [-l LOGFILE] ...

DESCRIPTION

Launch QEMU and connect to it with qmp-shell <#qmp-shell> in a single command. CLI arguments will be forwarded to qemu, with additional arguments added to allow qmp-shell <#qmp-shell> to then connect to the recently launched QEMU instance.

    positional arguments:
        command QEMU command line to invoke

    optional arguments:

        -h, --help
            show this help message and exit

        -H, --hmp
            Use HMP interface

        -v, --verbose
            Verbose (echo commands sent and received)

        -p, --pretty
            Pretty-print JSON

        -l LOGFILE, --logfile LOGFILE
            Save log of all QMP messages to PATH

  Usage

Prepend "qmp-shell-wrap" to your usual QEMU command line:

            > qmp-shell-wrap qemu-system-x86_64 -M q35 -m 4096 -display none
            Welcome to the QMP low-level shell!
            Connected
            (QEMU)

SEE ALSO

Refer to qmp-shell(1) for information on syntax and operation of the qmp-shell utility itself.

Author
The QEMU Project authors

Copyright
2009-2022, QEMU Project